<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_keycode.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDL_keycode.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_s_d_l__keycode_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">  Simple DirectMedia Layer</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">  Copyright (C) 1997-2020 Sam Lantinga &lt;slouken@libsdl.org&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">  This software is provided &#39;as-is&#39;, without any express or implied</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">  warranty.  In no event will the authors be held liable for any damages</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">  arising from the use of this software.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">  Permission is granted to anyone to use this software for any purpose,</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">  including commercial applications, and to alter it and redistribute it</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">  freely, subject to the following restrictions:</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">  1. The origin of this software must not be misrepresented; you must not</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">     claim that you wrote the original software. If you use this software</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">     in a product, an acknowledgment in the product documentation would be</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">     appreciated but is not required.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">  2. Altered source versions must be plainly marked as such, and must not be</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">     misrepresented as being the original software.</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">  3. This notice may not be removed or altered from any source distribution.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#ifndef SDL_keycode_h_</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#define SDL_keycode_h_</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a>&quot;</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__scancode_8h.html">SDL_scancode.h</a>&quot;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="_s_d_l__keycode_8h.html#ae9265f064f13f0f74dfca26a67875171">   45</a></span>&#160;<span class="keyword">typedef</span> Sint32 <a class="code" href="_s_d_l__keycode_8h.html#ae9265f064f13f0f74dfca26a67875171">SDL_Keycode</a>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#define SDLK_SCANCODE_MASK (1&lt;&lt;30)</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#define SDL_SCANCODE_TO_KEYCODE(X)  (X | SDLK_SCANCODE_MASK)</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;{</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    SDLK_UNKNOWN = 0,</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    SDLK_RETURN = <span class="charliteral">&#39;\r&#39;</span>,</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    SDLK_ESCAPE = <span class="charliteral">&#39;\033&#39;</span>,</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    SDLK_BACKSPACE = <span class="charliteral">&#39;\b&#39;</span>,</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    SDLK_TAB = <span class="charliteral">&#39;\t&#39;</span>,</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    SDLK_SPACE = <span class="charliteral">&#39; &#39;</span>,</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    SDLK_EXCLAIM = <span class="charliteral">&#39;!&#39;</span>,</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    SDLK_QUOTEDBL = <span class="charliteral">&#39;&quot;&#39;</span>,</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    SDLK_HASH = <span class="charliteral">&#39;#&#39;</span>,</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    SDLK_PERCENT = <span class="charliteral">&#39;%&#39;</span>,</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    SDLK_DOLLAR = <span class="charliteral">&#39;$&#39;</span>,</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    SDLK_AMPERSAND = <span class="charliteral">&#39;&amp;&#39;</span>,</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    SDLK_QUOTE = <span class="charliteral">&#39;\&#39;&#39;</span>,</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    SDLK_LEFTPAREN = <span class="charliteral">&#39;(&#39;</span>,</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    SDLK_RIGHTPAREN = <span class="charliteral">&#39;)&#39;</span>,</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    SDLK_ASTERISK = <span class="charliteral">&#39;*&#39;</span>,</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    SDLK_PLUS = <span class="charliteral">&#39;+&#39;</span>,</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    SDLK_COMMA = <span class="charliteral">&#39;,&#39;</span>,</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    SDLK_MINUS = <span class="charliteral">&#39;-&#39;</span>,</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    SDLK_PERIOD = <span class="charliteral">&#39;.&#39;</span>,</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    SDLK_SLASH = <span class="charliteral">&#39;/&#39;</span>,</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    SDLK_0 = <span class="charliteral">&#39;0&#39;</span>,</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    SDLK_1 = <span class="charliteral">&#39;1&#39;</span>,</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    SDLK_2 = <span class="charliteral">&#39;2&#39;</span>,</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    SDLK_3 = <span class="charliteral">&#39;3&#39;</span>,</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    SDLK_4 = <span class="charliteral">&#39;4&#39;</span>,</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    SDLK_5 = <span class="charliteral">&#39;5&#39;</span>,</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    SDLK_6 = <span class="charliteral">&#39;6&#39;</span>,</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    SDLK_7 = <span class="charliteral">&#39;7&#39;</span>,</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    SDLK_8 = <span class="charliteral">&#39;8&#39;</span>,</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    SDLK_9 = <span class="charliteral">&#39;9&#39;</span>,</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    SDLK_COLON = <span class="charliteral">&#39;:&#39;</span>,</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    SDLK_SEMICOLON = <span class="charliteral">&#39;;&#39;</span>,</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    SDLK_LESS = <span class="charliteral">&#39;&lt;&#39;</span>,</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    SDLK_EQUALS = <span class="charliteral">&#39;=&#39;</span>,</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    SDLK_GREATER = <span class="charliteral">&#39;&gt;&#39;</span>,</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    SDLK_QUESTION = <span class="charliteral">&#39;?&#39;</span>,</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    SDLK_AT = <span class="charliteral">&#39;@&#39;</span>,</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; </div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="comment">/*</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="comment">       Skip uppercase letters</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="comment">     */</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    SDLK_LEFTBRACKET = <span class="charliteral">&#39;[&#39;</span>,</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    SDLK_BACKSLASH = <span class="charliteral">&#39;\\&#39;</span>,</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    SDLK_RIGHTBRACKET = <span class="charliteral">&#39;]&#39;</span>,</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    SDLK_CARET = <span class="charliteral">&#39;^&#39;</span>,</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    SDLK_UNDERSCORE = <span class="charliteral">&#39;_&#39;</span>,</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    SDLK_BACKQUOTE = <span class="charliteral">&#39;`&#39;</span>,</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    SDLK_a = <span class="charliteral">&#39;a&#39;</span>,</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    SDLK_b = <span class="charliteral">&#39;b&#39;</span>,</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    SDLK_c = <span class="charliteral">&#39;c&#39;</span>,</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    SDLK_d = <span class="charliteral">&#39;d&#39;</span>,</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    SDLK_e = <span class="charliteral">&#39;e&#39;</span>,</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    SDLK_f = <span class="charliteral">&#39;f&#39;</span>,</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    SDLK_g = <span class="charliteral">&#39;g&#39;</span>,</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    SDLK_h = <span class="charliteral">&#39;h&#39;</span>,</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    SDLK_i = <span class="charliteral">&#39;i&#39;</span>,</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    SDLK_j = <span class="charliteral">&#39;j&#39;</span>,</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    SDLK_k = <span class="charliteral">&#39;k&#39;</span>,</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    SDLK_l = <span class="charliteral">&#39;l&#39;</span>,</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    SDLK_m = <span class="charliteral">&#39;m&#39;</span>,</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    SDLK_n = <span class="charliteral">&#39;n&#39;</span>,</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    SDLK_o = <span class="charliteral">&#39;o&#39;</span>,</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    SDLK_p = <span class="charliteral">&#39;p&#39;</span>,</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    SDLK_q = <span class="charliteral">&#39;q&#39;</span>,</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    SDLK_r = <span class="charliteral">&#39;r&#39;</span>,</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    SDLK_s = <span class="charliteral">&#39;s&#39;</span>,</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    SDLK_t = <span class="charliteral">&#39;t&#39;</span>,</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    SDLK_u = <span class="charliteral">&#39;u&#39;</span>,</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    SDLK_v = <span class="charliteral">&#39;v&#39;</span>,</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    SDLK_w = <span class="charliteral">&#39;w&#39;</span>,</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    SDLK_x = <span class="charliteral">&#39;x&#39;</span>,</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    SDLK_y = <span class="charliteral">&#39;y&#39;</span>,</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    SDLK_z = <span class="charliteral">&#39;z&#39;</span>,</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160; </div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    SDLK_CAPSLOCK = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_CAPSLOCK),</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160; </div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    SDLK_F1 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F1),</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    SDLK_F2 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F2),</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    SDLK_F3 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F3),</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    SDLK_F4 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F4),</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    SDLK_F5 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F5),</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    SDLK_F6 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F6),</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    SDLK_F7 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F7),</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    SDLK_F8 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F8),</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    SDLK_F9 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F9),</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    SDLK_F10 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F10),</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    SDLK_F11 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F11),</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    SDLK_F12 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F12),</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160; </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    SDLK_PRINTSCREEN = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_PRINTSCREEN),</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    SDLK_SCROLLLOCK = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_SCROLLLOCK),</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    SDLK_PAUSE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_PAUSE),</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    SDLK_INSERT = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bafadcacdcd29fa5cf74598a6c61796287">SDL_SCANCODE_INSERT</a>),</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    SDLK_HOME = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_HOME),</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    SDLK_PAGEUP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_PAGEUP),</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    SDLK_DELETE = <span class="stringliteral">&#39;\177&#39;</span>,</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    SDLK_END = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_END),</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    SDLK_PAGEDOWN = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_PAGEDOWN),</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    SDLK_RIGHT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_RIGHT),</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    SDLK_LEFT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_LEFT),</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    SDLK_DOWN = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_DOWN),</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    SDLK_UP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_UP),</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160; </div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    SDLK_NUMLOCKCLEAR = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba6fe49f0c14d072eaa8fcd80862a73b32">SDL_SCANCODE_NUMLOCKCLEAR</a>),</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    SDLK_KP_DIVIDE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_DIVIDE),</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    SDLK_KP_MULTIPLY = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_MULTIPLY),</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    SDLK_KP_MINUS = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_MINUS),</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    SDLK_KP_PLUS = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_PLUS),</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    SDLK_KP_ENTER = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_ENTER),</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    SDLK_KP_1 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_1),</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    SDLK_KP_2 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_2),</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    SDLK_KP_3 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_3),</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    SDLK_KP_4 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_4),</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    SDLK_KP_5 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_5),</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    SDLK_KP_6 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_6),</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    SDLK_KP_7 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_7),</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    SDLK_KP_8 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_8),</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    SDLK_KP_9 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_9),</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    SDLK_KP_0 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_0),</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    SDLK_KP_PERIOD = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_PERIOD),</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160; </div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    SDLK_APPLICATION = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777badb4e1b4439049803dd22679a7abbf466">SDL_SCANCODE_APPLICATION</a>),</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    SDLK_POWER = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba736f5c8b3d2c2c899e5dac90fce3a691">SDL_SCANCODE_POWER</a>),</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    SDLK_KP_EQUALS = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_EQUALS),</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;    SDLK_F13 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F13),</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    SDLK_F14 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F14),</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    SDLK_F15 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F15),</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    SDLK_F16 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F16),</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    SDLK_F17 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F17),</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    SDLK_F18 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F18),</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    SDLK_F19 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F19),</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    SDLK_F20 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F20),</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    SDLK_F21 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F21),</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    SDLK_F22 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F22),</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    SDLK_F23 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F23),</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    SDLK_F24 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_F24),</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    SDLK_EXECUTE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_EXECUTE),</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    SDLK_HELP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_HELP),</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    SDLK_MENU = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_MENU),</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    SDLK_SELECT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_SELECT),</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    SDLK_STOP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_STOP),</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    SDLK_AGAIN = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bac9197a2eef1a3f3b9359feffdb0a126e">SDL_SCANCODE_AGAIN</a>),</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    SDLK_UNDO = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_UNDO),</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    SDLK_CUT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_CUT),</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    SDLK_COPY = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_COPY),</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    SDLK_PASTE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_PASTE),</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    SDLK_FIND = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_FIND),</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    SDLK_MUTE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_MUTE),</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    SDLK_VOLUMEUP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_VOLUMEUP),</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    SDLK_VOLUMEDOWN = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_VOLUMEDOWN),</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    SDLK_KP_COMMA = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_COMMA),</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;    SDLK_KP_EQUALSAS400 =</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_EQUALSAS400),</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160; </div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    SDLK_ALTERASE = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bac5a757253971a21c0b68bc413da5d261">SDL_SCANCODE_ALTERASE</a>),</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    SDLK_SYSREQ = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_SYSREQ),</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    SDLK_CANCEL = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_CANCEL),</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    SDLK_CLEAR = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_CLEAR),</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    SDLK_PRIOR = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_PRIOR),</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    SDLK_RETURN2 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_RETURN2),</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    SDLK_SEPARATOR = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_SEPARATOR),</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    SDLK_OUT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_OUT),</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    SDLK_OPER = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_OPER),</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    SDLK_CLEARAGAIN = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_CLEARAGAIN),</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    SDLK_CRSEL = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_CRSEL),</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    SDLK_EXSEL = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_EXSEL),</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160; </div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    SDLK_KP_00 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_00),</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    SDLK_KP_000 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_000),</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    SDLK_THOUSANDSSEPARATOR =</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_THOUSANDSSEPARATOR),</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    SDLK_DECIMALSEPARATOR =</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_DECIMALSEPARATOR),</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    SDLK_CURRENCYUNIT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_CURRENCYUNIT),</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    SDLK_CURRENCYSUBUNIT =</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_CURRENCYSUBUNIT),</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;    SDLK_KP_LEFTPAREN = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_LEFTPAREN),</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;    SDLK_KP_RIGHTPAREN = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_RIGHTPAREN),</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    SDLK_KP_LEFTBRACE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_LEFTBRACE),</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;    SDLK_KP_RIGHTBRACE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_RIGHTBRACE),</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;    SDLK_KP_TAB = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_TAB),</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;    SDLK_KP_BACKSPACE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_BACKSPACE),</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    SDLK_KP_A = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_A),</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    SDLK_KP_B = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_B),</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;    SDLK_KP_C = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_C),</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    SDLK_KP_D = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_D),</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    SDLK_KP_E = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_E),</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    SDLK_KP_F = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_F),</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    SDLK_KP_XOR = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_XOR),</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    SDLK_KP_POWER = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_POWER),</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    SDLK_KP_PERCENT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_PERCENT),</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;    SDLK_KP_LESS = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_LESS),</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;    SDLK_KP_GREATER = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_GREATER),</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;    SDLK_KP_AMPERSAND = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_AMPERSAND),</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;    SDLK_KP_DBLAMPERSAND =</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_DBLAMPERSAND),</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    SDLK_KP_VERTICALBAR =</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_VERTICALBAR),</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    SDLK_KP_DBLVERTICALBAR =</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_DBLVERTICALBAR),</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    SDLK_KP_COLON = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_COLON),</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;    SDLK_KP_HASH = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_HASH),</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;    SDLK_KP_SPACE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_SPACE),</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;    SDLK_KP_AT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_AT),</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;    SDLK_KP_EXCLAM = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_EXCLAM),</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;    SDLK_KP_MEMSTORE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_MEMSTORE),</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;    SDLK_KP_MEMRECALL = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_MEMRECALL),</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;    SDLK_KP_MEMCLEAR = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_MEMCLEAR),</div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;    SDLK_KP_MEMADD = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_MEMADD),</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;    SDLK_KP_MEMSUBTRACT =</div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_MEMSUBTRACT),</div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;    SDLK_KP_MEMMULTIPLY =</div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_MEMMULTIPLY),</div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;    SDLK_KP_MEMDIVIDE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_MEMDIVIDE),</div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;    SDLK_KP_PLUSMINUS = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_PLUSMINUS),</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;    SDLK_KP_CLEAR = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_CLEAR),</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;    SDLK_KP_CLEARENTRY = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_CLEARENTRY),</div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;    SDLK_KP_BINARY = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_BINARY),</div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;    SDLK_KP_OCTAL = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_OCTAL),</div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;    SDLK_KP_DECIMAL = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_DECIMAL),</div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;    SDLK_KP_HEXADECIMAL =</div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KP_HEXADECIMAL),</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160; </div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;    SDLK_LCTRL = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_LCTRL),</div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;    SDLK_LSHIFT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_LSHIFT),</div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;    SDLK_LALT = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bae6a58c2b28e6aa3d473d1a76c75088bc">SDL_SCANCODE_LALT</a>),</div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;    SDLK_LGUI = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba8b3916409c841cdb3ef4b0d4cc9d9155">SDL_SCANCODE_LGUI</a>),</div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    SDLK_RCTRL = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_RCTRL),</div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;    SDLK_RSHIFT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_RSHIFT),</div>
<div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;    SDLK_RALT = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba9af4ffee688b9914dfb696b43b4e9889">SDL_SCANCODE_RALT</a>),</div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;    SDLK_RGUI = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba46902ad8e7146f0f255400aff8ab489d">SDL_SCANCODE_RGUI</a>),</div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160; </div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;    SDLK_MODE = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bac35fd3f41be03648c6c478d6e88bbe91">SDL_SCANCODE_MODE</a>),</div>
<div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160; </div>
<div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;    SDLK_AUDIONEXT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AUDIONEXT),</div>
<div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;    SDLK_AUDIOPREV = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AUDIOPREV),</div>
<div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;    SDLK_AUDIOSTOP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AUDIOSTOP),</div>
<div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;    SDLK_AUDIOPLAY = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AUDIOPLAY),</div>
<div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;    SDLK_AUDIOMUTE = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AUDIOMUTE),</div>
<div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    SDLK_MEDIASELECT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_MEDIASELECT),</div>
<div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;    SDLK_WWW = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_WWW),</div>
<div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;    SDLK_MAIL = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_MAIL),</div>
<div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;    SDLK_CALCULATOR = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_CALCULATOR),</div>
<div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;    SDLK_COMPUTER = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_COMPUTER),</div>
<div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;    SDLK_AC_SEARCH = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AC_SEARCH),</div>
<div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;    SDLK_AC_HOME = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AC_HOME),</div>
<div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;    SDLK_AC_BACK = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AC_BACK),</div>
<div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;    SDLK_AC_FORWARD = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AC_FORWARD),</div>
<div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;    SDLK_AC_STOP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AC_STOP),</div>
<div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;    SDLK_AC_REFRESH = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AC_REFRESH),</div>
<div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;    SDLK_AC_BOOKMARKS = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AC_BOOKMARKS),</div>
<div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160; </div>
<div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;    SDLK_BRIGHTNESSDOWN =</div>
<div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_BRIGHTNESSDOWN),</div>
<div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;    SDLK_BRIGHTNESSUP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_BRIGHTNESSUP),</div>
<div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;    SDLK_DISPLAYSWITCH = SDL_SCANCODE_TO_KEYCODE(<a class="code" href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba893aa25f300cba8af0cf6263a4cd7ade">SDL_SCANCODE_DISPLAYSWITCH</a>),</div>
<div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;    SDLK_KBDILLUMTOGGLE =</div>
<div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;        SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KBDILLUMTOGGLE),</div>
<div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;    SDLK_KBDILLUMDOWN = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KBDILLUMDOWN),</div>
<div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;    SDLK_KBDILLUMUP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_KBDILLUMUP),</div>
<div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;    SDLK_EJECT = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_EJECT),</div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;    SDLK_SLEEP = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_SLEEP),</div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;    SDLK_APP1 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_APP1),</div>
<div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;    SDLK_APP2 = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_APP2),</div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160; </div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;    SDLK_AUDIOREWIND = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AUDIOREWIND),</div>
<div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;    SDLK_AUDIOFASTFORWARD = SDL_SCANCODE_TO_KEYCODE(SDL_SCANCODE_AUDIOFASTFORWARD)</div>
<div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;} SDL_KeyCode;</div>
<div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160; </div>
<div class="line"><a name="l00327"></a><span class="lineno"><a class="line" href="_s_d_l__keycode_8h.html#afa050ad71f0a5b86aa05cb13f542d747">  327</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;{</div>
<div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;    KMOD_NONE = 0x0000,</div>
<div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;    KMOD_LSHIFT = 0x0001,</div>
<div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;    KMOD_RSHIFT = 0x0002,</div>
<div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;    KMOD_LCTRL = 0x0040,</div>
<div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;    KMOD_RCTRL = 0x0080,</div>
<div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;    KMOD_LALT = 0x0100,</div>
<div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;    KMOD_RALT = 0x0200,</div>
<div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;    KMOD_LGUI = 0x0400,</div>
<div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;    KMOD_RGUI = 0x0800,</div>
<div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;    KMOD_NUM = 0x1000,</div>
<div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;    KMOD_CAPS = 0x2000,</div>
<div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;    KMOD_MODE = 0x4000,</div>
<div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;    KMOD_RESERVED = 0x8000,</div>
<div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160; </div>
<div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;    KMOD_CTRL = KMOD_LCTRL | KMOD_RCTRL,</div>
<div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;    KMOD_SHIFT = KMOD_LSHIFT | KMOD_RSHIFT,</div>
<div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;    KMOD_ALT = KMOD_LALT | KMOD_RALT,</div>
<div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;    KMOD_GUI = KMOD_LGUI | KMOD_RGUI</div>
<div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;} <a class="code" href="_s_d_l__keycode_8h.html#afa050ad71f0a5b86aa05cb13f542d747">SDL_Keymod</a>;</div>
<div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160; </div>
<div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* SDL_keycode_h_ */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160; </div>
<div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;<span class="comment">/* vi: set ts=4 sw=4 expandtab: */</span></div>
<div class="ttc" id="a_s_d_l__keycode_8h_html_ae9265f064f13f0f74dfca26a67875171"><div class="ttname"><a href="_s_d_l__keycode_8h.html#ae9265f064f13f0f74dfca26a67875171">SDL_Keycode</a></div><div class="ttdeci">Sint32 SDL_Keycode</div><div class="ttdoc">The SDL virtual key representation.</div><div class="ttdef"><b>Definition:</b> SDL_keycode.h:45</div></div>
<div class="ttc" id="a_s_d_l__keycode_8h_html_afa050ad71f0a5b86aa05cb13f542d747"><div class="ttname"><a href="_s_d_l__keycode_8h.html#afa050ad71f0a5b86aa05cb13f542d747">SDL_Keymod</a></div><div class="ttdeci">SDL_Keymod</div><div class="ttdoc">Enumeration of valid key mods (possibly OR'd together).</div><div class="ttdef"><b>Definition:</b> SDL_keycode.h:328</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html"><div class="ttname"><a href="_s_d_l__scancode_8h.html">SDL_scancode.h</a></div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777ba46902ad8e7146f0f255400aff8ab489d"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba46902ad8e7146f0f255400aff8ab489d">SDL_SCANCODE_RGUI</a></div><div class="ttdeci">@ SDL_SCANCODE_RGUI</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:335</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777ba6fe49f0c14d072eaa8fcd80862a73b32"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba6fe49f0c14d072eaa8fcd80862a73b32">SDL_SCANCODE_NUMLOCKCLEAR</a></div><div class="ttdeci">@ SDL_SCANCODE_NUMLOCKCLEAR</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:181</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777ba736f5c8b3d2c2c899e5dac90fce3a691"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba736f5c8b3d2c2c899e5dac90fce3a691">SDL_SCANCODE_POWER</a></div><div class="ttdeci">@ SDL_SCANCODE_POWER</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:211</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777ba893aa25f300cba8af0cf6263a4cd7ade"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba893aa25f300cba8af0cf6263a4cd7ade">SDL_SCANCODE_DISPLAYSWITCH</a></div><div class="ttdeci">@ SDL_SCANCODE_DISPLAYSWITCH</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:380</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777ba8b3916409c841cdb3ef4b0d4cc9d9155"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba8b3916409c841cdb3ef4b0d4cc9d9155">SDL_SCANCODE_LGUI</a></div><div class="ttdeci">@ SDL_SCANCODE_LGUI</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:331</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777ba9af4ffee688b9914dfb696b43b4e9889"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777ba9af4ffee688b9914dfb696b43b4e9889">SDL_SCANCODE_RALT</a></div><div class="ttdeci">@ SDL_SCANCODE_RALT</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:334</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777bac35fd3f41be03648c6c478d6e88bbe91"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bac35fd3f41be03648c6c478d6e88bbe91">SDL_SCANCODE_MODE</a></div><div class="ttdeci">@ SDL_SCANCODE_MODE</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:337</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777bac5a757253971a21c0b68bc413da5d261"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bac5a757253971a21c0b68bc413da5d261">SDL_SCANCODE_ALTERASE</a></div><div class="ttdeci">@ SDL_SCANCODE_ALTERASE</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:268</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777bac9197a2eef1a3f3b9359feffdb0a126e"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bac9197a2eef1a3f3b9359feffdb0a126e">SDL_SCANCODE_AGAIN</a></div><div class="ttdeci">@ SDL_SCANCODE_AGAIN</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:232</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777badb4e1b4439049803dd22679a7abbf466"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777badb4e1b4439049803dd22679a7abbf466">SDL_SCANCODE_APPLICATION</a></div><div class="ttdeci">@ SDL_SCANCODE_APPLICATION</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:210</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777bae6a58c2b28e6aa3d473d1a76c75088bc"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bae6a58c2b28e6aa3d473d1a76c75088bc">SDL_SCANCODE_LALT</a></div><div class="ttdeci">@ SDL_SCANCODE_LALT</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:330</div></div>
<div class="ttc" id="a_s_d_l__scancode_8h_html_a82ab7cff701034fb40a47b5b3a02777bafadcacdcd29fa5cf74598a6c61796287"><div class="ttname"><a href="_s_d_l__scancode_8h.html#a82ab7cff701034fb40a47b5b3a02777bafadcacdcd29fa5cf74598a6c61796287">SDL_SCANCODE_INSERT</a></div><div class="ttdeci">@ SDL_SCANCODE_INSERT</div><div class="ttdef"><b>Definition:</b> SDL_scancode.h:169</div></div>
<div class="ttc" id="a_s_d_l__stdinc_8h_html"><div class="ttname"><a href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
